Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 827296 - games-simulation/simutrans ~arm64 keywording request
Summary: games-simulation/simutrans ~arm64 keywording request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: tastytea
URL:
Whiteboard:
Keywords: CC-ARCHES, KEYWORDREQ, PullRequest
Depends on:
Blocks:
 
Reported: 2021-11-25 17:09 UTC by korte
Modified: 2022-04-27 04:33 UTC (History)
2 users (show)

See Also:
Package list:
games-simulation/simutrans ~arm64 media-sound/fluid-soundfont ~arm64
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description korte 2021-11-25 17:09:30 UTC
simutrans is my favourite package and it works fine on arm64 (Pi 400) as long as I start it with

 simutrans -use_hw -async
Comment 1 korte 2021-11-25 17:11:39 UTC
Tested keywording like in https://wiki.gentoo.org/wiki/Project:ARM64#Going_further
Comment 2 NATTkA bot gentoo-dev 2021-11-25 17:16:25 UTC Comment hidden (obsolete)
Comment 3 NATTkA bot gentoo-dev 2021-11-25 17:28:27 UTC Comment hidden (obsolete)
Comment 4 NATTkA bot gentoo-dev 2021-11-25 17:36:28 UTC Comment hidden (obsolete)
Comment 5 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-11-26 01:44:00 UTC
@tastytea, any reason it's got -arm64 (and indeed -*)?
Comment 6 tastytea 2021-11-26 02:49:45 UTC
@sam It was that way when I took over the ebuild. The earliest ebuild I could find (from 2003) already had it: <https://cgit.gentoo.org/repo/gentoo/historical.git/commit/games-simulation/simutrans/?id=0a66313722aa914ebab9c10951f6eebfec37cedc>.

It seems that arm64 is supported at least for windows: <https://github.com/aburch/simutrans/commit/aa9eeaf3805800b4b268ad30ba2e5dd4d9ff7e32>. I found someone who compiled it for PPC in 2008 in the forums: <https://forum.simutrans.com/index.php/topic,170.msg911.html>.

The reason for -* seems to be obsolete for at least 13 years now, we should drop it.
Comment 7 Larry the Git Cow gentoo-dev 2021-11-26 03:40:17 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e71dc45f836c752201af6766bcd77428e28e38d

commit 5e71dc45f836c752201af6766bcd77428e28e38d
Author:     Ronny (tastytea) Gutbrod <gentoo@tastytea.de>
AuthorDate: 2021-11-26 02:47:15 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-11-26 03:40:02 +0000

    games-simulation/simutrans: Drop -* from KEYWORDS
    
    Reason unclear, apparently not needed.
    
    Bug: https://bugs.gentoo.org/827296
    Signed-off-by: Ronny (tastytea) Gutbrod <gentoo@tastytea.de>
    Closes: https://github.com/gentoo/gentoo/pull/23084
    Signed-off-by: Sam James <sam@gentoo.org>

 games-simulation/simutrans/simutrans-0.122.0-r1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 8 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-11-26 03:40:34 UTC
(In reply to tastytea from comment #6)
> @sam It was that way when I took over the ebuild. The earliest ebuild I
> could find (from 2003) already had it:
> <https://cgit.gentoo.org/repo/gentoo/historical.git/commit/games-simulation/
> simutrans/?id=0a66313722aa914ebab9c10951f6eebfec37cedc>.
> 
> It seems that arm64 is supported at least for windows:
> <https://github.com/aburch/simutrans/commit/
> aa9eeaf3805800b4b268ad30ba2e5dd4d9ff7e32>. I found someone who compiled it
> for PPC in 2008 in the forums:
> <https://forum.simutrans.com/index.php/topic,170.msg911.html>.
> 
> The reason for -* seems to be obsolete for at least 13 years now, we should
> drop it.

Thanks a lot, especially for researching thoroughly. It really helps.
Comment 9 NATTkA bot gentoo-dev 2022-02-24 11:36:40 UTC Comment hidden (obsolete)
Comment 10 NATTkA bot gentoo-dev 2022-02-26 06:48:54 UTC
All sanity-check issues have been resolved
Comment 11 korte 2022-03-03 10:07:35 UTC
I think the keywording request was for the older version. However games-simulation/simutrans-123.0.1 works for me on arm64.
Comment 12 Arthur Zamarin archtester gentoo-dev 2022-04-27 04:33:42 UTC
arm64 done

all arches done